# Uses of Interface
java.lang.classfile.attribute.ModuleHashInfo

Packages that use ModuleHashInfo
Package
Description
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of ModuleHashInfo in java.lang.classfile.attribute

Methods in java.lang.classfile.attribute that return ModuleHashInfo
Modifier and Type
Method
Description
`static ModuleHashInfo`
ModuleHashInfo.`of(ModuleEntry moduleName, byte[] hash)`
Returns a module hash description.
`static ModuleHashInfo`
ModuleHashInfo.`of(ModuleDesc moduleDesc, byte[] hash)`
Returns a module hash description.
Methods in java.lang.classfile.attribute that return types with arguments of type ModuleHashInfo
Modifier and Type
Method
Description
`List<ModuleHashInfo>`
ModuleHashesAttribute.`hashes()`
Returns the hash information about related modules.
Methods in java.lang.classfile.attribute with parameters of type ModuleHashInfo
Modifier and Type
Method
Description
`static ModuleHashesAttribute`
ModuleHashesAttribute.`of(Utf8Entry algorithm, ModuleHashInfo... hashes)`
Returns a `ModuleHashes` attribute.
`static ModuleHashesAttribute`
ModuleHashesAttribute.`of(String algorithm, ModuleHashInfo... hashes)`
Returns a `ModuleHashes` attribute.
Method parameters in java.lang.classfile.attribute with type arguments of type ModuleHashInfo
Modifier and Type
Method
Description
`static ModuleHashesAttribute`
ModuleHashesAttribute.`of(Utf8Entry algorithm, List<ModuleHashInfo> hashes)`
Returns a `ModuleHashes` attribute.
`static ModuleHashesAttribute`
ModuleHashesAttribute.`of(String algorithm, List<ModuleHashInfo> hashes)`
Returns a `ModuleHashes` attribute.